> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teamcamp.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Project Details

> Get project's details.



## OpenAPI

````yaml GET /project/{projectId}/getCurrentProjectDetails
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.teamcamp.app/v1.0/
security:
  - bearerAuth: []
paths:
  /project/{projectId}/getCurrentProjectDetails:
    get:
      description: Get project's details.
      parameters:
        - name: projectId
          in: path
          required: true
          description: The unique identifier of the project to get details.
          schema:
            type: string
            minLength: 10
      responses:
        '200':
          description: Successfully get project details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getProjectDetails'
        '400':
          description: Bad Request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      servers:
        - url: https://back.teamcamp.app/api/v1
components:
  schemas:
    getProjectDetails:
      allOf:
        - type: object
          properties:
            _id:
              description: The ID of the project
              type: string
            Name:
              description: The name of the project
              type: string
            CompanyId:
              description: The company ID
              type: string
            Description:
              description: Description of the project
              type: string
              nullable: true
            CreatedBy:
              description: Creator user ID
              type: string
            CreatedTime:
              description: Project creation time
              type: string
              format: date-time
            UpdatedTime:
              description: Project last update time
              type: string
              format: date-time
            StartDate:
              description: Project start date
              type: string
              format: date-time
            CustomerId:
              description: Customer ID
              type: string
            IsMilestone:
              description: Is milestone flag
              type: boolean
            IsEstimate:
              description: Is estimate flag
              type: boolean
            Priority:
              description: Priority information
              type: object
              properties:
                Enabled:
                  type: boolean
                Default:
                  type: integer
            FavoriteUsers:
              description: Array of favorite user IDs
              type: array
              items:
                type: string
            LabelsList:
              description: List of labels
              type: array
              items:
                type: object
                properties:
                  _id:
                    type: string
                  Name:
                    type: string
                  Color:
                    type: string
                  CreatedBy:
                    type: string
                  CreatedTime:
                    type: string
                    format: date-time
                  UpdatedBy:
                    type: string
                  UpdatedTime:
                    type: string
                    format: date-time
            GithubRepository:
              description: GitHub Repository ID
              type: integer
            LabelsEnabled:
              type: boolean
            StatusEnable:
              type: boolean
            IsGroupEnabled:
              type: boolean
            MultiAsignee:
              type: boolean
            Icon:
              type: object
              properties:
                Type:
                  type: integer
                Reference:
                  type: string
                Color:
                  type: integer
            taskFilter:
              type: object
            Resources:
              description: List of resources
              type: array
              items:
                type: object
                properties:
                  _id:
                    type: string
                  Type:
                    type: integer
                  Label:
                    type: string
                  Reference:
                    type: string
                  FileType:
                    type: string
                  UploadFileType:
                    type: integer
                  CreatedBy:
                    type: string
                  CreatedTime:
                    type: string
                    format: date-time
                  UpdatedBy:
                    type: string
                  UpdatedTime:
                    type: string
                    format: date-time
            vercelProject:
              oneOf:
                - type: object
                  properties:
                    id:
                      type: string
                    AccountId:
                      type: string
                    Name:
                      type: string
                    GithubRepoId:
                      type: string
            ProjectUsers:
              description: List of project user IDs
              type: array
              items:
                type: string
            Status:
              description: Project status list
              type: array
              items:
                type: object
                properties:
                  _id:
                    type: string
                  Name:
                    type: string
                  Type:
                    type: integer
                  Index:
                    type: integer
                  Default:
                    type: boolean
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: apiKey
      name: apiKey
      in: header

````